<div class="container">
    <div class="ui-g">
        <form autocomplete="off" (keyup.enter)="pesquisar()">
            <div class="ui-g-12">
                <h1>Lançamentos</h1>
            </div>
            <div class="ui-g-12 ui-fluid">
                <label>Descrição</label>
                <input pInputText type="text" name="descricao" [(ngModel)]="descricao">
            </div>
            <div class="ui-g-12">
                <label style="display: block">Vencimento</label>
                <input pInputText style="width: 95px" type="text">
                <label>até</label>
                <input pInputText style="width: 95px" type="text">
            </div>
            <div class="ui-g-12">
                <button pButton type="button" label="Pesquisar"></button>
            </div>
        </form>
            <div class="ui-g">
                <div class="ui-g-12">
                    <!-- <app-lancamentos-grid [lancamentos]="lancamentos"></app-lancamentos-grid> -->
                    <p-table [value]="lancamentos" [paginator]="true" rows="5" [responsive]="true" class="tabela">
                            <ng-template pTemplate="header" let-lancamentos>
                                <tr>
                                    <th class="col-id" >Pessoa</th>
                                    <th>Descrição</th>
                                    <th>Vencimento</th>
                                    <th class="col-data">Pagamento</th>
                                    <th class="col-data">Valor</th>
                                    <th class="col-acoes">Ações</th>
                                </tr>
                            </ng-template>
                            <ng-template pTemplate="body" let-lancamentos>
                                <tr>
                                    <td>{{lancamentos.pessoas.nome}}</td>
                                    <td>{{lancamentos.descricao}}</td>
                                    <td>{{lancamentos.dataVencimento}}</td>
                                    <td>{{lancamentos.dataPagamento}}</td>
                                    <td><span [style.color]="lancamentos.tipo === 'DESPESA' ? 'red' : 'blue'">{{lancamentos.valor}}</span></td>
                                    <td class="col-acoes">
                                        <button pButton icon="fa-pencil" pTooltip="Editar" tooltipPosition="top" (click)="showDialogToEdit(lancamentos.id)"></button>
                                        <button pButton icon="fa-trash" pTooltip="Exluir" tooltipPosition="top" (click)="confirm(lancamentos.id)"></button>
                                    </td>
                                </tr>
                            </ng-template>
                        </p-table>
                </div>
                <div class="ui-g-12">
                    <a pButton label="Novo Lançamento"></a>
                </div>
            </div>
    </div>
</div>
